PHP-инклюдинг в MyBB

Дата публикации:
13.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
2024
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB 1.1.2 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в поле username в функции "domecode()" сценария inc/functions_post.php перед использованием "preg_replace". Удаленный пользователь может с помощью специально сформированного имени пользователя выполнить произвольный PHP сценарий на целевой системе во время просмотра сообщения, содержащего строку "/slap".

URL производителя: www.mybboard.com

Решение: Установите последнюю версию (1.1.3) с сайта производителя.

Ссылки: MyBB "domecode()" PHP Code Execution Vulnerability

или введите имя

CAPTCHA